Skip to main content
`Ctrl`+`K`

# PetscSFSetUpRanks

Set up data structures associated with ranks; this is for internal use by `PetscSF` implementations.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetUpRanks(PetscSF sf, MPI_Group dgroup)

Collective

## Input Parameters

- sf - `PetscSF` to set up; `PetscSFSetGraph()` must have been called

- dgroup - `MPI_Group` of ranks to be distinguished (e.g., for self or shared memory exchange)

## See Also

`PetscSF`, `PetscSFGetRootRanks()`

## Level

developer

## Location

src/vec/is/sf/interface/sf.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages